<id>
Random Quotes Y2.1
</id>

<version>
1.0 beta
</version>

<mod info>
This mod gives you two new tags that produce random quotes in the language of the poster, or the member.
For in the main template there is the tag <yabb tagline>, for in the signature there is the UBB tag [tagline].

Usage
Actually quite self explanory, you add the appropriate tag where you want it and depending on your language settings it will produce random quotes in the correct language
 
Installation
Apply the mod, upload the changed YaBBC.pl, Display.pl,Subs.pl, Profile.pl.
Upload the taglines.txt and taglines.dat in the appropriate language dirs and chmod equal to other lng files

Restrictions and Short comings
There is no admin section to edit/add taglines yet.
The taglines.txt as a flatfile plain ascii file holding one tagline per line.
The tagline.dat holds one variable which must be set manually to the number of lines found in the taglines.txt, and it holds the text in front of the quote.
For each language you should have a set of these files, but if no files are found or the user has no language set the taglines will default to the board language set.

Version History
1.0
First release
</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.yabbforum.com
</homepage>

<edit file>
Sources/YaBBC.pl
</edit file>

<search for>
	$message =~ s~\[img\]~ \[img\]~ig;
</search for>

<add after>

	## insert random quote in place of the tagline ##
	$message =~ s~\[tagline\]~&random_quote($taglineuser)~eisg;

</add after>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
if (-e ("AdminIndex.cgi")) { $yyaext = "cgi"; }
else { $yyaext = "pl"; }
</search for>

<add after>

sub random_quote {
	my $user = $_[0];
	my $use_lang     = ${$uid.$user}{'language'} || $lang;
	my ($count,$tagline, $outlang);
	if (-e "$langdir/$use_lang/taglines.dat") {
		$outlang = "$langdir/$use_lang";
	} elsif (-e "$langdir/$lang/taglines.dat") {
		$outlang = "$langdir/$lang";
	} elsif (-e "$langdir/English/taglines.dat") {
		$outlang = "$langdir/English";
	} else {
		&fatal_error("tagline file not found");
	}
	require "$outlang/taglines.dat";
	my $record = int(rand ($maxtags));
	fopen (TAGS, "$outlang/taglines.txt");
	while ($tagline = <TAGS>) {
		chomp $tagline;
		last if ($count eq $record);
		$count++;
	}
	fclose (TAGS);
	return "$tagtext$tagline";
}

</add after>

<search for>
	$yyposition = $yytitle;
	$yytitle    = "$mbname - $yytitle";
</search for>

<add after>
	## Generate the template random quote tag ##
	$yytagline = &random_quote($username);
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		# Should we show an attachment file?
</search for>

<add before>

		$taglineuser = $musername || $username;

</add before>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
		# do some ubbc on the signature to display in the view profile area
		# Should we show an attachment file?
</search for>

<add before>
		$taglineuser = $user;
</add before>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$rquote = "Random Quotes 1.0|Ron@Spikecity|Allows language dependent random quotes in tags and sigs|V1.0 beta|February 12th 2007";
	push (@installed_mods, "$rquote");
</add before>
